package singletonPattern;

/**
 * 饿汉式单例模式
 * @author chenda
 */
public class SingletonE {

    private static SingletonE singleton = new SingletonE();

    private SingletonE() {

    }

    public static SingletonE getInstance() {
        return singleton;
    }
}
